<%= render 'layouts/header' %>

<div class="ui container segment">
  <h1 class="ui center aligned header">
    <%= @organization.full_name %>
  </h1>
  <div class="row">
    <div class="ui segment">
      <div class="ui two column grid">
        <div class="column">
          <div>
            <p>
              <strong>Abbreviation:</strong>
              <%= @organization.abbreviation %>
            </p>
            <p>
              <strong>School:</strong>
              <%= @organization.school %>
            </p>
            <p>
              <strong>Address:</strong>
              <%= @organization.address %>
            </p>
            <p>
              <strong>Org Manager:</strong>
              <%= @organization.manager_name %>
            </p>
            <p>
              <strong>Pledge Class Size Goal:</strong>
              <%= @organization.rush_goal %>
            </p>
          </div>
        </div>
        <div class="column">
          <%= render 'organizations/roles_table' %>
        </div>
      </div>
    </div>
  </div>
  <div class="ui horizontal divider"></div>
  <% if @organization.provisional_members.present? and current_user.has_role?(Role.where(label: ['System Admin', 'Organization Manager', 'User Manager']))%>
  <h2>
    Provisional Members
    <span style="float:right;">
      <%= link_to "Approve All", organization_organization_enable_all_path(@organization.id), method: :put, :class =>"ui green button" %>
      <%= link_to "Deny All", organization_organization_disable_all_path(@organization.id), method: :put, :class => "ui red button"%>
    </span>
  </h2>
    <table class="ui celled very compact striped table">
    <tr>
      <th></th>
      <th>Name</th>
      <th>Email Address</th>
      <th>Phone Number</th>
      <th>Actions</th>
    </tr>
    <% @organization.provisional_members.each do |user| %>
      <tr>
        <td><%= image_tag user.image, class: 'ui avatar image' %></td>
        <td><%= user.full_name %></td>
        <td><%= user.email_address %></td>
        <td><%= user.phone_number %></td>
        <td>
          <%= link_to "Approve", user_organization_enable_path(user.id), method: :put, :class =>"provisional_approve ui green button" %>
          <%= link_to "Deny", user_organization_disable_path(user.id), method: :put, :class => "provisional_deny ui red button"%>
        </td>
      </tr>
    <% end %>

    </table>

    <% end %>

    <h2>
      Organization Members
    </h2>
    <table class="ui celled very compact striped table">
      <tr>
        <th></th>
        <th align="center">Number</th>
        <th align="center">Name</th>
        <th align="center">Email Address</th>
        <th align="center">Phone Number</th>
        <th align="center">Actions</th>
      </tr>
      <% @organization.organization_members.each do |user| %>
        <tr>
          <td style="text-align:center;"><%= image_tag user.image, class: 'ui avatar image', size: '32' %></td>
          <td style="text-align:center;"><%= user.number %></td>
          <td style="text-align:center;"><%= user.full_name %></td>
          <td style="text-align:center;"><%= user.email_address %></td>
          <td style="text-align:center;"><%= user.phone_number %></td>
          <td style="text-align:center;">
            <%= link_to "Show", user_path(user), :class => "ui primary button" %>
            <% if current_user.has_role?(Role.where(label: ['System Admin', 'Organization Manager', 'User Manager'])) %>
              <%= link_to "Edit", edit_user_path(user), :class => "ui green button" %>
              <%= link_to "Remove from Org", user_organization_disable_path(user.id, affiliated_organization: nil),  method: :put, :class => "ui red button", data: { confirm: 'Delete user?' } %>
            <% end %>
          </td>
        </tr>
      <% end %>
    </table>
  </div>
</div>

<%= render 'layouts/footer' %>
